BBC iPlayer Help

BBC iPlayer Radio app - How do changes to the app on iOS 6, 7 and 8 affect me?

The BBC iPlayer Radio app now only works on iPads, iPhones and iPod Touch devices using iOS 9.3 and above.

All devices compatible with iOS 8 are also compatible with iOS 9. If you aren’t sure how to update to iOS 9, Apple Support provides instructions on their website: Update the iOS on your iPhone, iPad, or iPod touch.

Why have you stopped support for the app on iOS 6, 7 and 8?

iOS 6, 7 and 8 accounts for only a very small proportion of our iOS user base. Support for iOS 6, 7 and 8 is no longer sustainable for the app following the release of iOS 11 and the changes to the tools that mobile app developers now use.

How do I know what version of iOS my device is running on?

Find out what version of iOS your device is using on the Apple Support website

Regrettably, the latest version and any future updates of the BBC iPlayer Radio app will no longer work on:

  • iPod Touch (4th generation)
  • iPhone 3GS
  • iPad (1st generation)
  • iPhone 4 

Was this helpful?